---
title: View webhook
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Stream](https://developers.cloudflare.com/api/python/resources/stream)

[Webhooks](https://developers.cloudflare.com/api/python/resources/stream/subresources/webhooks)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# View webhook

stream.webhooks.get(WebhookGetParams\*\*kwargs) -> [WebhookGetResponse](<https://developers.cloudflare.com/api/python/resources/stream#(resource)%20stream.webhooks%20%3E%20(model)%20webhook_get_response%20%3E%20(schema)>)

GET/accounts/{account\_id}/stream/webhook

Retrieve current on-demand webhook information.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Stream Write``Stream Read`

##### ParametersExpand Collapse

account\_id: str

The account identifier tag.

maxLength32

[Link to this property](<#(resource)%20stream.webhooks%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class WebhookGetResponse: …

</summary>

modified: Optional\[datetime]

The date and time the webhook was last modified.

formatdate-time

<a href="#(resource)%20stream.webhooks%20%3E%20(model)%20webhook_get_response%20%3E%20(schema)%20%3E%20(property)%20modified">Link to this property</a>

notification\_url: Optional\[str]

The URL where webhooks will be sent.

formaturi

<a href="#(resource)%20stream.webhooks%20%3E%20(model)%20webhook_get_response%20%3E%20(schema)%20%3E%20(property)%20notificationUrl">Link to this property</a>

secret: Optional\[str]

The secret used to verify webhook signatures.

<a href="#(resource)%20stream.webhooks%20%3E%20(model)%20webhook_get_response%20%3E%20(schema)%20%3E%20(property)%20secret">Link to this property</a>

</details>

[Link to this property](<#(resource)%20stream.webhooks%20%3E%20(model)%20webhook_get_response%20%3E%20(schema)>)

### View webhook

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
webhook = client.stream.webhooks.get(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(webhook.modified)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "modified": "2014-01-02T02:20:00Z",
    "notification_url": "https://example.com",
    "notificationUrl": "https://example.com",
    "secret": "secret"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "modified": "2014-01-02T02:20:00Z",
    "notification_url": "https://example.com",
    "notificationUrl": "https://example.com",
    "secret": "secret"
  }
}
```